perl 5.24.1-2ubuntu1.1 source package in Ubuntu

Changelog

perl (5.24.1-2ubuntu1.1) zesty-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow via crafted regular expressiion
    - debian/patches/fixes/CVE-2017-12883.patch: fix crafted expression
      with invalid '\N{U+...}' escape in regcomp.c
    - CVE-2017-12883
  * SECURITY UPDATE: heap-based buffer overflow in S_regatom
    - debian/patches/fixes/CVE-2017-12837.patch: fix issue in regcomp.c
    - CVE-2017-12837

 -- <email address hidden> (Leonidas S. Barbosa)  Fri, 10 Nov 2017 11:07:03 -0300

Upload details

Uploaded by:
Leonidas S. Barbosa on 2017-11-10
Uploaded to:
Zesty
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
perl
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
perl_5.24.1.orig.tar.xz 11.0 MiB 03a77bac4505c270f1890ece75afc7d4b555090b41aa41ea478747e23b2afb3f
perl_5.24.1-2ubuntu1.1.debian.tar.xz 164.1 KiB 602d34b983f6b367d29361b3061a979e4acdfa6431180cab625a42e0560e9532
perl_5.24.1-2ubuntu1.1.dsc 2.4 KiB 8b1c256f0438df4544623cfe78f4746c814d7c13cf4efbebe2ecad68a5d15954

View changes file

Binary packages built by this source

libperl-dev: No summary available for libperl-dev in ubuntu zesty.

No description available for libperl-dev in ubuntu zesty.

libperl5.24: No summary available for libperl5.24 in ubuntu zesty.

No description available for libperl5.24 in ubuntu zesty.

perl: No summary available for perl in ubuntu zesty.

No description available for perl in ubuntu zesty.

perl-base: No summary available for perl-base in ubuntu zesty.

No description available for perl-base in ubuntu zesty.

perl-debug: No summary available for perl-debug in ubuntu zesty.

No description available for perl-debug in ubuntu zesty.

perl-doc: No summary available for perl-doc in ubuntu zesty.

No description available for perl-doc in ubuntu zesty.

perl-modules-5.24: No summary available for perl-modules-5.24 in ubuntu zesty.

No description available for perl-modules-5.24 in ubuntu zesty.